Support » Plugin: WP Mail SMTP by WPForms » WordPress 5.5 Deprecates functionality

  • Resolved pkarjala

    (@pkarjala)


    FYI, although it is not out yet, WordPress 5.5 will deprecate functionality that this plugin relies on. Ran into this while I was doing some testing work with this plugin on WordPress 5.5, with WP_DEBUG enabled.

    Here is the content of the warning:

    Deprecated: class-phpmailer.php is <strong>deprecated</strong> since version 5.5.0! Use wp-includes/PHPMailer/PHPMailer.php instead. The PHPMailer class has been moved to wp-includes/PHPMailer subdirectory and now uses the PHPMailer\PHPMailer namespace. in /var/www/html/wp-includes/functions.php on line 4924

    Just an FYI.

Viewing 8 replies - 1 through 8 (of 8 total)
  • Thread Starter pkarjala

    (@pkarjala)

    Additionally, when attempting to send a test email with the plugin the following errors occur:

     Fatal error: Uncaught Error: Class 'PHPMailer\PHPMailer\SMTP' not found in /var/www/html/wp-includes/PHPMailer/PHPMailer.php on line 1821
    ( ! ) Error: Class 'PHPMailer\PHPMailer\SMTP' not found in /var/www/html/wp-includes/PHPMailer/PHPMailer.php on line 1821
    Call Stack
    #	Time	Memory	Function	Location
    1	0.0005	405848	{main}( )	.../admin.php:0
    2	0.2305	6731424	do_action( )	.../admin.php:173
    3	0.2305	6731800	WP_Hook->do_action( )	.../plugin.php:478
    4	0.2305	6731800	WP_Hook->apply_filters( )	.../class-wp-hook.php:311
    5	0.2442	7026368	WPMailSMTP\Admin\Area->process_actions( )	.../class-wp-hook.php:287
    6	0.2443	7026368	WPMailSMTP\Admin\Pages\TestTab->process_post( )	.../Area.php:773
    7	0.2450	7061496	wp_mail( )	.../TestTab.php:172
    8	0.2479	7172168	WPMailSMTP\MailCatcher->send( )	.../pluggable.php:494
    9	0.2483	7195680	WPMailSMTP\MailCatcher->postSend( )	.../MailCatcher.php:88
    10	0.2483	7195680	WPMailSMTP\MailCatcher->smtpSend( )	.../PHPMailer.php:1601
    11	0.2483	7196128	WPMailSMTP\MailCatcher->smtpConnect( )	.../PHPMailer.php:1858
    12	0.2483	7196128	WPMailSMTP\MailCatcher->getSMTPInstance( )	.../PHPMailer.php:1942

    Plugin version is 2.1.1.

    Thread Starter pkarjala

    (@pkarjala)

    Please also see https://core.trac.wordpress.org/ticket/41750 for relevant discussion to the changes to core.

    Plugin Author Gregor Capuder

    (@capuderg)

    Hi @pkarjala,

    thank you very much for reporting this issue to us.

    A user already did that as well and also provided a solution fo the current 5.5 trunk version. Please check this forum post.

    We do appreciate you taking the time and reporting this issue. We’ll fix this for the official WP 5.5 release.

    Thank you and take care!

    Thread Starter pkarjala

    (@pkarjala)

    Excellent, thank you!

    Plugin Author Gregor Capuder

    (@capuderg)

    Hi @pkarjala,

    We just released an update (v2.2.1) which has the WP 5.5 compatibility.

    Could you please try to updated and test it out? Thank you very much!

    Have a nice day!

    Thread Starter pkarjala

    (@pkarjala)

    Sure; I’m on another project for this week but I should have time to spin up the VM again early next week to test.

    Thanks!

    Plugin Author Gregor Capuder

    (@capuderg)

    Hi,

    oh, you don’t need to do that. I just though you use 5.5 actively. We’ve already got two confirmations that it works OK.

    Thank you for your help and have a nice day!

    Thread Starter pkarjala

    (@pkarjala)

    Ah, I didn’t get this message until just now. Regardless, I tested on 5.5b2 this morning with v2.2.1 of the plugin and it work just fine, so you have another confirmation!

    Thanks for your work on an excellent plugin.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘WordPress 5.5 Deprecates functionality’ is closed to new replies.